Bug 253488 (CVE-2007-4381) - CVE-2007-4381 java: Vulnerability in the font parsing code
Summary: CVE-2007-4381 java: Vulnerability in the font parsing code
Status: CLOSED ERRATA
Alias: CVE-2007-4381
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: reported=20070815,source=sunalert,pub...
Keywords: Security
Depends On: 325951 325961 368071 368081 368091 417931 430799
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-20 07:48 UTC by Marc Schoenefeld
Modified: 2013-04-12 04:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 04:56:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0956 normal SHIPPED_LIVE Moderate: java-1.5.0-bea security update 2007-10-16 07:08:21 UTC
Red Hat Product Errata RHSA-2007:1086 normal SHIPPED_LIVE Moderate: java-1.4.2-bea security update 2007-12-12 12:27:35 UTC
Red Hat Product Errata RHSA-2008:0100 normal SHIPPED_LIVE Moderate: java-1.4.2-bea security update 2008-03-11 14:09:38 UTC
Red Hat Product Errata RHSA-2008:0132 normal SHIPPED_LIVE Critical: java-1.4.2-ibm security update 2008-02-14 14:46:54 UTC

Description Marc Schoenefeld 2007-08-20 07:48:31 UTC
Sun describes a flaw at

http://sunsolve.sun.com/search/document.do?assetkey=1-26-103024-1:

A vulnerability in the font parsing code in the Java Runtime Environment may
allow an untrusted applet to elevate its privileges. For example, an applet may
grant itself permissions to read and write local files or execute local
applications that are accessible to the user running the untrusted applet.

Comment 8 Jan Lieskovsky 2010-08-31 13:40:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux version 4 Extras
  RHEL Supplementary version 5

Via RHSA-2007:0829 https://rhn.redhat.com/errata/RHSA-2007-0829.html

Comment 9 Jan Lieskovsky 2010-08-31 13:41:41 UTC
This issue has been addressed in following products:

  RHEL Supplementary version 5

Via RHSA-2007:0956 https://rhn.redhat.com/errata/RHSA-2007-0956.html

Comment 10 Jan Lieskovsky 2010-08-31 13:42:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux version 4 Extras 

Via RHSA-2007:1086 https://rhn.redhat.com/errata/RHSA-2007-1086.html

Comment 11 Jan Lieskovsky 2010-08-31 13:43:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux version 3 Extras

Via RHSA-2008:0100 https://rhn.redhat.com/errata/RHSA-2008-0100.html

Comment 12 Jan Lieskovsky 2010-08-31 13:45:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux version 3 Extras
  Red Hat Enterprise Linux version 4 Extras
  RHEL Supplementary version 5

Via RHSA-2008:0132 https://rhn.redhat.com/errata/RHSA-2008-0132.html


Note You need to log in before you can comment on or make changes to this bug.